/* proftpd <= 1.2.9rc2 ASCII File Remote Compromise Vulnerability
 *
 *      Ref: http://xforce.iss.net/xforce/alerts/id/154
 *
 *      Vers: PIE 0.6
 *      Auth: Ben Hawkes
 *      Date: 26/08/05
 */


#include <stdio.h>
#include <libpie.h>

int main(void) {
	if (pie_begin("proftpd", "_xlate_ascii_write", 4, PIE_NO_OPT) == -1) {
		perror("pie_begin");
		exit(1);
	}

	if (pie_set(PIE_DEREFERENCE, 2) == -1) {
		perror("pie_set");
		exit(1);
	}

	if (pie_byte_count(1, '\n', PIE_LESS_THAN, 512) == -1) {
		perror("pie_byte_count");
		exit(1);
	}
	
	if (pie_end(NULL, 0) == -1) {
		perror("pie_end");
		exit(1);
	}
}
